Package org.eclipse.emf.cdo.util

# Class UnitIntegrityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.emf.cdo.util.CommitException
org.eclipse.emf.cdo.util.DataIntegrityException
org.eclipse.emf.cdo.util.UnitIntegrityException

All Implemented Interfaces:
  `Serializable`

public class UnitIntegrityException extends DataIntegrityException
A `data integrity exception` that indicates an attempt to move objects between units.

Since:
  4.5
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.
No Instantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`UnitIntegrityException(String msg)`

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

`isLocal, wrap`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnitIntegrityException

public UnitIntegrityException(String msg)